%global gem_name cucumber-tag-expressions
Name:                rubygem-cucumber-tag_expressions
Version:             4.0.2
Release:             1
Summary:             Cucumber tag expressions for ruby
License:             MIT
URL:                 https://cucumber.io/docs/cucumber/api/#tag-expressions
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby  rubygem(rspec)
Provides:            rubygem-cucumber-tag-expressions = %{version}-%{release}
Obsoletes:           rubygem-cucumber-tag-expressions < %{version}-%{release}
BuildArch:           noarch
%description
Cucumber tag expressions for ruby.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Mon Jan 9 2023 liyanan <liyanan32@h-partners.com> - 4.0.2-1
- Update to 4.0.2

* Thu Aug 20 2020 fanjiachen <fanjiachen3@huawei.com> - 1.1.1-1
- package init
